ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 2081 by gezelter, Fri Mar 4 15:29:03 2005 UTC vs.
Revision 2190 by gezelter, Wed Apr 13 22:30:22 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CXXCPP USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 789 | Line 789 | ac_cv_env_CPP_value=$CPP
789   ac_env_CPP_value=$CPP
790   ac_cv_env_CPP_set=${CPP+set}
791   ac_cv_env_CPP_value=$CPP
792 + ac_env_CXXCPP_set=${CXXCPP+set}
793 + ac_env_CXXCPP_value=$CXXCPP
794 + ac_cv_env_CXXCPP_set=${CXXCPP+set}
795 + ac_cv_env_CXXCPP_value=$CXXCPP
796  
797   #
798   # Report the --help message.
# Line 876 | Line 880 | Optional Packages:
880    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
883 +  --with-cgal-makefile=FILE  CGAL makefile that should be used
884  
885   Some influential environment variables:
886    CC          C compiler command
# Line 889 | Line 894 | Some influential environment variables:
894    F90         Fortran 90 compiler command
895    F90FLAGS    Fortran 90 compiler flags
896    CPP         C preprocessor
897 +  CXXCPP      C++ preprocessor
898  
899   Use these variables to override the choices made by `configure' or to help
900   it to find libraries and programs with nonstandard names/locations.
# Line 1880 | Line 1886 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1886  
1887  
1888  
1889 +
1890   # set program name
1891   PROGNAME="oopse"
1892  
# Line 3539 | Line 3546 | F90FLAGS="$F90FLAGS $ac_verb"
3546   ac_save_F90FLAGS=$F90FLAGS
3547   F90FLAGS="$F90FLAGS $ac_verb"
3548  
3549 < (eval echo $as_me:3542: \"$ac_link\") >&5
3549 > (eval echo $as_me:3549: \"$ac_link\") >&5
3550   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3551   echo "$ac_f90_v_output" >&5
3552   F90FLAGS=$ac_save_F90FLAGS
# Line 3616 | Line 3623 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3623   ac_save_F90FLAGS=$F90FLAGS
3624   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3625  
3626 < (eval echo $as_me:3619: \"$ac_link\") >&5
3626 > (eval echo $as_me:3626: \"$ac_link\") >&5
3627   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3628   echo "$ac_f90_v_output" >&5
3629   F90FLAGS=$ac_save_F90FLAGS
# Line 7812 | Line 7819 | echo "${ECHO_T}found $MPI_F90_LIB" >&6
7819   fi
7820   echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7821   echo "${ECHO_T}found $MPI_F90_LIB" >&6
7822 +
7823 +
7824 + fi
7825 +
7826 +
7827 +
7828 +
7829 + USE_CGAL=no
7830 + cgal_makefile=auto
7831 +
7832 + # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
7833 + if test "${with_cgal_makefile+set}" = set; then
7834 +  withval="$with_cgal_makefile"
7835 +  cgal_makefile="$withval"
7836 + fi;
7837 +
7838 + if test "x$cgal_makefile" != xno; then
7839 +
7840 +  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
7841 +    cgal_makefile="$CGAL_MAKEFILE"
7842 +  fi
7843 +
7844 +  echo "cgal_makefile      $cgal_makefile"
7845 +
7846 +  if test -f "$cgal_makefile"; then
7847 +
7848 +    cat >config.tmp.Makefile <<EOF
7849 + include $cgal_makefile
7850 + default:
7851 +        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
7852 +        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
7853 +        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
7854 +        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7855 +        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7856 +        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
7857 +        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
7858 +        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7859 +        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7860 +        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
7861 +        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7862 +        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7863 + EOF
7864 +
7865 +    make -s -f config.tmp.Makefile
7866 +    . config.tmp.cgalvariables
7867 +
7868 +    rm -f config.tmp.Makefile config.tmp.cgalvariables
7869 +
7870 +    if test "x$CGAL_INCLDIR" = "x"; then
7871 +      CGAL_INCLDIR=""
7872 +    fi
7873 +
7874 +    if test "x$CGAL_LIBDIR" = "x"; then
7875 +      CGAL_LIBDIR=""
7876 +    fi
7877 +
7878 +    if test "x$CGAL_RLIBDIR" = "x"; then
7879 +      CGAL_RLIBDIR=""
7880 +    fi
7881 +
7882 +    if test "x$LEDA_INCLDIR" = "x"; then
7883 +      LEDA_INCLDIR=""
7884 +    fi
7885 +
7886 +    if test "x$LEDA_LIBDIR" = "x"; then
7887 +      LEDA_LIBDIR=""
7888 +    fi
7889 +
7890 +    if test "x$LEDA_RLIBDIR" = "x"; then
7891 +      LEDA_RLIBDIR=""
7892 +    fi
7893 +
7894 +    if test "x$GMP_INCLDIR" = "x"; then
7895 +      GMP_INCLDIR=""
7896 +    fi
7897 +
7898 +    if test "x$GMP_LIBDIR" = "x"; then
7899 +      GMP_LIBDIR=""
7900 +    fi
7901 +
7902 +    if test "x$GMP_RLIBDIR" = "x"; then
7903 +      GMP_RLIBDIR=""
7904 +    fi
7905 +
7906 +    echo "CGAL_OS_COMPILER   $CGAL_OS_COMPILER"
7907 +    echo "CGAL_INCLDIR       $CGAL_INCLDIR"
7908 +    echo "CGAL_INCLCONFDIR   $CGAL_INCLCONFDIR"
7909 +    echo "CGAL_LIBDIR        $CGAL_LIBDIR"
7910 +    echo "CGAL_CXXFLAGS      $CGAL_CXXFLAGS"
7911 +    echo "LEDA_INCLDIR       $LEDA_INCLDIR"
7912 +    echo "LEDA_LIBDIR        $LEDA_LIBDIR"
7913 +    echo "GMP_INCLDIR        $GMP_INCLDIR"
7914 +    echo "GMP_LIBDIR         $GMP_LIBDIR"
7915 +
7916 +    ac_ext=cc
7917 + ac_cpp='$CXXCPP $CPPFLAGS'
7918 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7919 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7920 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
7921 +
7922 +    save_CXXFLAGS="$CXXFLAGS"
7923 +    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
7924 +
7925 + ac_ext=cc
7926 + ac_cpp='$CXXCPP $CPPFLAGS'
7927 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7928 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7929 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
7930 + echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
7931 + echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
7932 + if test -z "$CXXCPP"; then
7933 +  if test "${ac_cv_prog_CXXCPP+set}" = set; then
7934 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7935 + else
7936 +      # Double quotes because CXXCPP needs to be expanded
7937 +    for CXXCPP in "$CXX -E" "/lib/cpp"
7938 +    do
7939 +      ac_preproc_ok=false
7940 + for ac_cxx_preproc_warn_flag in '' yes
7941 + do
7942 +  # Use a header file that comes with gcc, so configuring glibc
7943 +  # with a fresh cross-compiler works.
7944 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
7945 +  # <limits.h> exists even on freestanding compilers.
7946 +  # On the NeXT, cc -E runs the code through the compiler's parser,
7947 +  # not just through cpp. "Syntax error" is here to catch this case.
7948 +  cat >conftest.$ac_ext <<_ACEOF
7949 + /* confdefs.h.  */
7950 + _ACEOF
7951 + cat confdefs.h >>conftest.$ac_ext
7952 + cat >>conftest.$ac_ext <<_ACEOF
7953 + /* end confdefs.h.  */
7954 + #ifdef __STDC__
7955 + # include <limits.h>
7956 + #else
7957 + # include <assert.h>
7958 + #endif
7959 +                     Syntax error
7960 + _ACEOF
7961 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7962 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
7963 +  ac_status=$?
7964 +  grep -v '^ *+' conftest.er1 >conftest.err
7965 +  rm -f conftest.er1
7966 +  cat conftest.err >&5
7967 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7968 +  (exit $ac_status); } >/dev/null; then
7969 +  if test -s conftest.err; then
7970 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
7971 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
7972 +  else
7973 +    ac_cpp_err=
7974 +  fi
7975 + else
7976 +  ac_cpp_err=yes
7977 + fi
7978 + if test -z "$ac_cpp_err"; then
7979 +  :
7980 + else
7981 +  echo "$as_me: failed program was:" >&5
7982 + sed 's/^/| /' conftest.$ac_ext >&5
7983  
7984 +  # Broken: fails on valid input.
7985 + continue
7986 + fi
7987 + rm -f conftest.err conftest.$ac_ext
7988  
7989 +  # OK, works on sane cases.  Now check whether non-existent headers
7990 +  # can be detected and how.
7991 +  cat >conftest.$ac_ext <<_ACEOF
7992 + /* confdefs.h.  */
7993 + _ACEOF
7994 + cat confdefs.h >>conftest.$ac_ext
7995 + cat >>conftest.$ac_ext <<_ACEOF
7996 + /* end confdefs.h.  */
7997 + #include <ac_nonexistent.h>
7998 + _ACEOF
7999 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8000 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8001 +  ac_status=$?
8002 +  grep -v '^ *+' conftest.er1 >conftest.err
8003 +  rm -f conftest.er1
8004 +  cat conftest.err >&5
8005 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8006 +  (exit $ac_status); } >/dev/null; then
8007 +  if test -s conftest.err; then
8008 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8009 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8010 +  else
8011 +    ac_cpp_err=
8012 +  fi
8013 + else
8014 +  ac_cpp_err=yes
8015   fi
8016 + if test -z "$ac_cpp_err"; then
8017 +  # Broken: success on invalid input.
8018 + continue
8019 + else
8020 +  echo "$as_me: failed program was:" >&5
8021 + sed 's/^/| /' conftest.$ac_ext >&5
8022  
8023 +  # Passes both tests.
8024 + ac_preproc_ok=:
8025 + break
8026 + fi
8027 + rm -f conftest.err conftest.$ac_ext
8028  
8029 + done
8030 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8031 + rm -f conftest.err conftest.$ac_ext
8032 + if $ac_preproc_ok; then
8033 +  break
8034 + fi
8035  
8036 +    done
8037 +    ac_cv_prog_CXXCPP=$CXXCPP
8038  
8039 + fi
8040 +  CXXCPP=$ac_cv_prog_CXXCPP
8041 + else
8042 +  ac_cv_prog_CXXCPP=$CXXCPP
8043 + fi
8044 + echo "$as_me:$LINENO: result: $CXXCPP" >&5
8045 + echo "${ECHO_T}$CXXCPP" >&6
8046 + ac_preproc_ok=false
8047 + for ac_cxx_preproc_warn_flag in '' yes
8048 + do
8049 +  # Use a header file that comes with gcc, so configuring glibc
8050 +  # with a fresh cross-compiler works.
8051 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8052 +  # <limits.h> exists even on freestanding compilers.
8053 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8054 +  # not just through cpp. "Syntax error" is here to catch this case.
8055 +  cat >conftest.$ac_ext <<_ACEOF
8056 + /* confdefs.h.  */
8057 + _ACEOF
8058 + cat confdefs.h >>conftest.$ac_ext
8059 + cat >>conftest.$ac_ext <<_ACEOF
8060 + /* end confdefs.h.  */
8061 + #ifdef __STDC__
8062 + # include <limits.h>
8063 + #else
8064 + # include <assert.h>
8065 + #endif
8066 +                     Syntax error
8067 + _ACEOF
8068 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8069 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8070 +  ac_status=$?
8071 +  grep -v '^ *+' conftest.er1 >conftest.err
8072 +  rm -f conftest.er1
8073 +  cat conftest.err >&5
8074 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8075 +  (exit $ac_status); } >/dev/null; then
8076 +  if test -s conftest.err; then
8077 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8078 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8079 +  else
8080 +    ac_cpp_err=
8081 +  fi
8082 + else
8083 +  ac_cpp_err=yes
8084 + fi
8085 + if test -z "$ac_cpp_err"; then
8086 +  :
8087 + else
8088 +  echo "$as_me: failed program was:" >&5
8089 + sed 's/^/| /' conftest.$ac_ext >&5
8090  
8091 +  # Broken: fails on valid input.
8092 + continue
8093 + fi
8094 + rm -f conftest.err conftest.$ac_ext
8095 +
8096 +  # OK, works on sane cases.  Now check whether non-existent headers
8097 +  # can be detected and how.
8098 +  cat >conftest.$ac_ext <<_ACEOF
8099 + /* confdefs.h.  */
8100 + _ACEOF
8101 + cat confdefs.h >>conftest.$ac_ext
8102 + cat >>conftest.$ac_ext <<_ACEOF
8103 + /* end confdefs.h.  */
8104 + #include <ac_nonexistent.h>
8105 + _ACEOF
8106 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8107 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8108 +  ac_status=$?
8109 +  grep -v '^ *+' conftest.er1 >conftest.err
8110 +  rm -f conftest.er1
8111 +  cat conftest.err >&5
8112 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8113 +  (exit $ac_status); } >/dev/null; then
8114 +  if test -s conftest.err; then
8115 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8116 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8117 +  else
8118 +    ac_cpp_err=
8119 +  fi
8120 + else
8121 +  ac_cpp_err=yes
8122 + fi
8123 + if test -z "$ac_cpp_err"; then
8124 +  # Broken: success on invalid input.
8125 + continue
8126 + else
8127 +  echo "$as_me: failed program was:" >&5
8128 + sed 's/^/| /' conftest.$ac_ext >&5
8129 +
8130 +  # Passes both tests.
8131 + ac_preproc_ok=:
8132 + break
8133 + fi
8134 + rm -f conftest.err conftest.$ac_ext
8135 +
8136 + done
8137 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8138 + rm -f conftest.err conftest.$ac_ext
8139 + if $ac_preproc_ok; then
8140 +  :
8141 + else
8142 +  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8143 + See \`config.log' for more details." >&5
8144 + echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8145 + See \`config.log' for more details." >&2;}
8146 +   { (exit 1); exit 1; }; }
8147 + fi
8148 +
8149 + ac_ext=cc
8150 + ac_cpp='$CXXCPP $CPPFLAGS'
8151 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8152 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8153 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8154 +
8155 +
8156 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8157 +  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8158 + echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8159 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8160 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8161 + fi
8162 + echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8163 + echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8164 + else
8165 +  # Is the header compilable?
8166 + echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
8167 + echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
8168 + cat >conftest.$ac_ext <<_ACEOF
8169 + /* confdefs.h.  */
8170 + _ACEOF
8171 + cat confdefs.h >>conftest.$ac_ext
8172 + cat >>conftest.$ac_ext <<_ACEOF
8173 + /* end confdefs.h.  */
8174 + $ac_includes_default
8175 + #include <CGAL/Cartesian.h>
8176 + _ACEOF
8177 + rm -f conftest.$ac_objext
8178 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8179 +  (eval $ac_compile) 2>conftest.er1
8180 +  ac_status=$?
8181 +  grep -v '^ *+' conftest.er1 >conftest.err
8182 +  rm -f conftest.er1
8183 +  cat conftest.err >&5
8184 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8185 +  (exit $ac_status); } &&
8186 +         { ac_try='test -z "$ac_cxx_werror_flag"
8187 +                         || test ! -s conftest.err'
8188 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8189 +  (eval $ac_try) 2>&5
8190 +  ac_status=$?
8191 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8192 +  (exit $ac_status); }; } &&
8193 +         { ac_try='test -s conftest.$ac_objext'
8194 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8195 +  (eval $ac_try) 2>&5
8196 +  ac_status=$?
8197 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8198 +  (exit $ac_status); }; }; then
8199 +  ac_header_compiler=yes
8200 + else
8201 +  echo "$as_me: failed program was:" >&5
8202 + sed 's/^/| /' conftest.$ac_ext >&5
8203 +
8204 + ac_header_compiler=no
8205 + fi
8206 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8207 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8208 + echo "${ECHO_T}$ac_header_compiler" >&6
8209 +
8210 + # Is the header present?
8211 + echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
8212 + echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
8213 + cat >conftest.$ac_ext <<_ACEOF
8214 + /* confdefs.h.  */
8215 + _ACEOF
8216 + cat confdefs.h >>conftest.$ac_ext
8217 + cat >>conftest.$ac_ext <<_ACEOF
8218 + /* end confdefs.h.  */
8219 + #include <CGAL/Cartesian.h>
8220 + _ACEOF
8221 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8222 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8223 +  ac_status=$?
8224 +  grep -v '^ *+' conftest.er1 >conftest.err
8225 +  rm -f conftest.er1
8226 +  cat conftest.err >&5
8227 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8228 +  (exit $ac_status); } >/dev/null; then
8229 +  if test -s conftest.err; then
8230 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8231 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8232 +  else
8233 +    ac_cpp_err=
8234 +  fi
8235 + else
8236 +  ac_cpp_err=yes
8237 + fi
8238 + if test -z "$ac_cpp_err"; then
8239 +  ac_header_preproc=yes
8240 + else
8241 +  echo "$as_me: failed program was:" >&5
8242 + sed 's/^/| /' conftest.$ac_ext >&5
8243 +
8244 +  ac_header_preproc=no
8245 + fi
8246 + rm -f conftest.err conftest.$ac_ext
8247 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
8248 + echo "${ECHO_T}$ac_header_preproc" >&6
8249 +
8250 + # So?  What about this header?
8251 + case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8252 +  yes:no: )
8253 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
8254 + echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8255 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
8256 + echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
8257 +    ac_header_preproc=yes
8258 +    ;;
8259 +  no:yes:* )
8260 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
8261 + echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
8262 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
8263 + echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
8264 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
8265 + echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
8266 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
8267 + echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8268 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
8269 + echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
8270 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
8271 + echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
8272 +    (
8273 +      cat <<\_ASBOX
8274 + ## ------------------------------ ##
8275 + ## Report this to gezelter@nd.edu ##
8276 + ## ------------------------------ ##
8277 + _ASBOX
8278 +    ) |
8279 +      sed "s/^/$as_me: WARNING:     /" >&2
8280 +    ;;
8281 + esac
8282 + echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8283 + echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8284 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8285 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8286 + else
8287 +  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
8288 + fi
8289 + echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8290 + echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8291 +
8292 + fi
8293 + if test $ac_cv_header_CGAL_Cartesian_h = yes; then
8294 +  cgal=yes
8295 + else
8296 +  cgal=no
8297 + fi
8298 +
8299 +
8300 +    CXXFLAGS="$save_CXXFLAGS"
8301 +
8302 +    if test "x$cgal" = xyes; then
8303 +      echo "$as_me:$LINENO: checking for CGAL version" >&5
8304 + echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
8305 +      LOCATION=${CGAL_INCLDIR}
8306 +      LOCATION=${LOCATION:-/usr/include}
8307 +      if test -f $LOCATION/CGAL/version.h; then
8308 +        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
8309 +      else
8310 +        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
8311 +      fi
8312 +      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
8313 +        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
8314 + echo "${ECHO_T}($CGAL_VERSION) yes" >&6
8315 +      else
8316 +        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
8317 + echo "${ECHO_T}($CGAL_VERSION) no" >&6
8318 +        cgal=no
8319 +      fi
8320 +    fi
8321 +
8322 +    if test "x$cgal" = xyes; then
8323 +      CGAL_LIBS="-lCGAL"
8324 +      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
8325 + echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
8326 +      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
8327 +        CGAL_USES_LEDA=yes
8328 +        echo "$as_me:$LINENO: result: yes" >&5
8329 + echo "${ECHO_T}yes" >&6
8330 +        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
8331 +      else
8332 +        echo "$as_me:$LINENO: result: no" >&5
8333 + echo "${ECHO_T}no" >&6
8334 +        CGAL_USES_LEDA=no
8335 +      fi
8336 +
8337 +      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
8338 + echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
8339 +      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
8340 +        CGAL_USES_GMP=yes
8341 +        echo "$as_me:$LINENO: result: yes" >&5
8342 + echo "${ECHO_T}yes" >&6
8343 +        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
8344 +      else
8345 +        echo "$as_me:$LINENO: result: no" >&5
8346 + echo "${ECHO_T}no" >&6
8347 +        CGAL_USES_GMP=no
8348 +      fi
8349 +
8350 +      CGAL_LIBS="$CGAL_LIBS -lm"
8351 +
8352 +      CGAL_CXXFLAGS="-ftemplate-depth-50"
8353 +
8354 +      echo "CGAL_USES_LEDA     $CGAL_USES_LEDA"
8355 +      echo "CGAL_USES_GMP      $CGAL_USES_GMP"
8356 +      echo "CGAL_INCLDIR       $CGAL_INCLDIR"
8357 +      echo "CGAL_LIBDIR        $CGAL_LIBDIR"
8358 +      echo "CGAL_DEFINES       $CGAL_DEFINES"
8359 +      echo "CGAL_CXXFLAGS      $CGAL_CXXFLAGS"
8360 +      echo "CGAL_LIBS          $CGAL_LIBS"
8361 +    fi
8362 +
8363 +    if test "x$cgal" = xyes; then
8364 +      save_LIBS="$LIBS"
8365 +      LIBS="$LIBS -L$CGAL_LIBDIR"
8366 +      if test "x$CGAL_USES_LEDA" = xyes; then
8367 +        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
8368 +      fi
8369 +      # if test "x$CGAL_USES_GMP" = xyes; then
8370 +      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
8371 +      # fi
8372 +      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
8373 + echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
8374 + save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
8375 + CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8376 + save_LIBS_CHECK_CXX_LIB="$LIBS"
8377 + LIBS="-lCGAL  $LIBS"
8378 + cat >conftest.$ac_ext <<_ACEOF
8379 + /* confdefs.h.  */
8380 + _ACEOF
8381 + cat confdefs.h >>conftest.$ac_ext
8382 + cat >>conftest.$ac_ext <<_ACEOF
8383 + /* end confdefs.h.  */
8384 + #include <CGAL/Cartesian.h>
8385 + int
8386 + main ()
8387 + {
8388 + ::CGAL::Cartesian<int>::Point_2 P
8389 +  ;
8390 +  return 0;
8391 + }
8392 + _ACEOF
8393 + rm -f conftest.$ac_objext conftest$ac_exeext
8394 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8395 +  (eval $ac_link) 2>conftest.er1
8396 +  ac_status=$?
8397 +  grep -v '^ *+' conftest.er1 >conftest.err
8398 +  rm -f conftest.er1
8399 +  cat conftest.err >&5
8400 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8401 +  (exit $ac_status); } &&
8402 +         { ac_try='test -z "$ac_cxx_werror_flag"
8403 +                         || test ! -s conftest.err'
8404 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8405 +  (eval $ac_try) 2>&5
8406 +  ac_status=$?
8407 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8408 +  (exit $ac_status); }; } &&
8409 +         { ac_try='test -s conftest$ac_exeext'
8410 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8411 +  (eval $ac_try) 2>&5
8412 +  ac_status=$?
8413 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8414 +  (exit $ac_status); }; }; then
8415 +  echo "$as_me:$LINENO: result: yes" >&5
8416 + echo "${ECHO_T}yes" >&6
8417 + cgal=yes
8418 + else
8419 +  echo "$as_me: failed program was:" >&5
8420 + sed 's/^/| /' conftest.$ac_ext >&5
8421 +
8422 + echo "$as_me:$LINENO: result: no" >&5
8423 + echo "${ECHO_T}no" >&6
8424 + cgal=no
8425 + fi
8426 + rm -f conftest.err conftest.$ac_objext \
8427 +      conftest$ac_exeext conftest.$ac_ext
8428 + CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
8429 + LIBS="$save_LIBS_CHECK_CXX_LIB"
8430 +      LIBS="$save_LIBS"
8431 +    fi
8432 +
8433 +  fi
8434 +  ac_ext=c
8435 + ac_cpp='$CPP $CPPFLAGS'
8436 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8437 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8438 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
8439 +
8440 +
8441 + fi
8442 +
8443 + if test "x$cgal" = xyes; then
8444 +  USE_CGAL=yes
8445 +
8446 + cat >>confdefs.h <<\_ACEOF
8447 + #define HAVE_CGAL 1
8448 + _ACEOF
8449 +
8450 +
8451 + cat >>confdefs.h <<_ACEOF
8452 + #define CGAL_VERSION $CGAL_VERSION
8453 + _ACEOF
8454 +
8455 +  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
8456 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8457 + echo "$as_me: WARNING: *****************************************************" >&2;}
8458 +    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
8459 + echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
8460 +    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
8461 + echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
8462 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8463 + echo "$as_me: WARNING: *****************************************************" >&2;}
8464 +  fi
8465 + else
8466 +   if test "x$cgal_makefile" != xno; then
8467 +    { echo "$as_me:$LINENO: WARNING: *********************************************************" >&5
8468 + echo "$as_me: WARNING: *********************************************************" >&2;}
8469 +    { echo "$as_me:$LINENO: WARNING: *** Warning: CGAL was not found.                      ***" >&5
8470 + echo "$as_me: WARNING: *** Warning: CGAL was not found.                      ***" >&2;}
8471 +    { echo "$as_me:$LINENO: WARNING: *** Run \"configure\" with the appropriate options.     ***" >&5
8472 + echo "$as_me: WARNING: *** Run \"configure\" with the appropriate options.     ***" >&2;}
8473 +    { echo "$as_me:$LINENO: WARNING: *** CGAL support will be disabled.                    ***" >&5
8474 + echo "$as_me: WARNING: *** CGAL support will be disabled.                    ***" >&2;}
8475 +    { echo "$as_me:$LINENO: WARNING: *********************************************************" >&5
8476 + echo "$as_me: WARNING: *********************************************************" >&2;}
8477 +  fi
8478 +  CGAL_INCLDIR=
8479 +  CGAL_LIBDIR=
8480 +  CGAL_RLIBDIR=
8481 +  CGAL_DEFINES=
8482 +  CGAL_CXXFLAGS=
8483 +  CGAL_LIBS=
8484 + fi
8485 +
8486 +
8487 + CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
8488 +
8489 + CGAL_LIB_DIR=${CGAL_LIBDIR}
8490 +
8491 + CGAL_RLIB_DIR=${CGAL_RLIBDIR}
8492 +
8493 +
8494 +
8495 +
8496 +
8497 +
8498 +
8499   # Check whether --enable-doxygen or --disable-doxygen was given.
8500   if test "${enable_doxygen+set}" = set; then
8501    enableval="$enable_doxygen"
# Line 8020 | Line 8696 | esac
8696  
8697            ac_config_headers="$ac_config_headers src/config.h"
8698  
8699 <                    ac_config_files="$ac_config_files make/Makefile src/utils/Makefile"
8699 >                              ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile"
8700  
8701  
8702   cat >confcache <<\_ACEOF
# Line 8553 | Line 9229 | do
9229    # Handling of arguments.
9230    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
9231    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
9232 +  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
9233    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
9234    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
9235    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
# Line 8697 | Line 9374 | s,@DOXYGEN@,$DOXYGEN,;t t
9374   s,@MPI_LIB@,$MPI_LIB,;t t
9375   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
9376   s,@USE_MPI@,$USE_MPI,;t t
9377 + s,@CXXCPP@,$CXXCPP,;t t
9378 + s,@USE_CGAL@,$USE_CGAL,;t t
9379 + s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
9380 + s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
9381 + s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
9382 + s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
9383 + s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
9384 + s,@CGAL_LIBS@,$CGAL_LIBS,;t t
9385   s,@DOXYGEN@,$DOXYGEN,;t t
9386   s,@DOT@,$DOT,;t t
9387   s,@DOC@,$DOC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines